/**
 *  @title: 校本资源管理
 *  @date: 2020/09/02
 *  @author:zhaobingfeng
 */
// 我的资源
const MY_RESOURCES = [
    {
        path: '/education/myResources',
        name: 'myResources',
        component: resolve => require(['pages/education/schoolBasedResources/myResources/Index'], resolve),
        redirect: '/education/myResources/index',
        children: [
            { // 我上传的
                path: '/education/myResources/index',
                name: 'myUploads',
                component: resolve => require(['pages/education/schoolBasedResources/myResources/MyUpload'], resolve)
            },
            { // 收藏分享
                path: '/education/myResources/favorShare',
                name: 'favorShare',
                component: resolve => require(['pages/education/schoolBasedResources/myResources/FavorShare'], resolve)
            },
            { // 我管理的
                path: '/education/myResources/myManage',
                name: 'myManage',
                component: resolve => require(['pages/education/schoolBasedResources/myResources/MyManage'], resolve)
            }
            // { // 我管理的-资料列表
            //     path: '/education/myResources/myManage/material',
            //     name: 'material',
            //     component: resolve => require(['pages/education/schoolBasedResources/myResources/Material'], resolve)
            // }
        ]
    }
]

// 学校资源
const SCHOOL_RESOURCES = [
    {
        path: '/education/schoolResources',
        name: 'schoolResources',
        component: resolve => require(['pages/education/schoolBasedResources/schoolResources/Index'], resolve),
        redirect: '/education/schoolResources/index',
        children: [
            { // 校内资源
                path: '/education/schoolResources/index',
                name: 'myUpload',
                component: resolve => require(['pages/education/schoolBasedResources/schoolResources/ResourcesInSchoold'], resolve)
            }
        ]
    }
]

// 学校文件夹管理
const FOLDER_MANAGE = [
    {
        path: '/education/folderManage/index',
        name: 'folderManage',
        component: resolve => require(['pages/education/schoolBasedResources/folderManage/Index'], resolve)
    }
]

export default [
    ...MY_RESOURCES,
    ...SCHOOL_RESOURCES,
    ...FOLDER_MANAGE
]
