import store from '@/store/index.js'

const schoolCode = store.state.schoolCode || 'Default'

const ossPaths = {
    default: `${schoolCode}/Default`,
    meeting: {
    // wall: `${schoolCode}/Meeting/Wall`
        appeal: `${schoolCode}/Meeting/Appeal`
    },
    notice: {
        noticePic: `${schoolCode}/noticeAnnounce/noticeContImg`,
        enclosure: `${schoolCode}/noticeAnnounce/enclosure`
    },
    dailySign: {
        outsideApply: `${schoolCode}/DailySign/outsideApply`,
        appeal: `${schoolCode}/DailySign/appeal`
    },
    etags: {
        setting: `${schoolCode}/Etags/Setting`
    },
    visit: {
        ipadPic: `${schoolCode}/VisitSystem/FaceVisitorImg`
    },
    bjMoralEducation: {
        recordPic: `${schoolCode}/bjMoralEducation/RecordImg`
    },
    moralEducation: {
        recordPic: `${schoolCode}/MoralEducation/RecordImg`,
        inspectImg: `${schoolCode}/MoralEducation/InspectImg`,
        publicityRecord: `${schoolCode}/MoralEducation/PublicityRecord`
    },
    teacherHonor: `${schoolCode}/TeacherHonor`,
    classSpace: {
        spacePic: `${schoolCode}/ClassRoom/ClassSpace`
    },
    classNotice: {
        noticePic: `${schoolCode}/ClassNotice/NoticePic`
    },
    schoolPerforman: {
        evaluateImg: `${schoolCode}/SchoolPerforman/EvaluateImg`
    },
    form: `${schoolCode}/Form`,
    office: {
        apply: `${schoolCode}/Office/Apply`,
        patrol: `${schoolCode}/Office/Patrol`
    },
    canteen: {
        foodImg: `${schoolCode}/Canteen/FoodImg`
    },
    teacherProfessionalArchives: {
        echelon: `${schoolCode}/TeacherProfessionalArchives/Echelon`, // 专业梯次
        continueEducation: `${schoolCode}/TeacherProfessionalArchives/ContinueEducation` // 继续教育
    },
    classHomeWork: {
        workPic: `${schoolCode}/HomeWork/Images`,
        img: `${schoolCode}/HomeWork/ImageText`
    },
    // 通讯录
    addressList: `${schoolCode}/AddressList`,
    activityManage: {
        signUpPic: `${schoolCode}/ActivityManage/SignUpPic`
    }
}

export default ossPaths
